<!DOCTYPE html>
<html>
    <head>
        <!-- En-tête de la page -->
        <meta charset="utf-8" />
        <title>Spin It!</title>
    </head>
    <body style="background-color: #333333;">
    	<button onclick="spin();">Spin it <div id="nb"></div></button>
    	<div style="color: white;">Spins Per Second: <div id="spinsPerSecond">0</div></div>
    	<div style="color: white;">Total Spins: <div id="totalSpins"></div></div>
    	<div id="menu" style="visibility: hidden;">
    		<button id="autospin" style="visibility: hidden;" onclick="autoSpin();">AutoSpin<div id="autospinPrice">90</div><div id="autospinNb">0</div></button>
    		<button id="megaspin" style="visibility: hidden;" onclick="megaSpin();">MegaSpin<div id="megaspinPrice">1000</div><div id="megaspinNb">0</div></button>
    		<button id="ultraspin" style="visibility: hidden;" onclick="ultraSpin();">UltraSpin<div id="ultraspinPrice">10000</div><div id="ultraspinNb">0</div></button>
    		<button id="spinPower" style="visibility: hidden;" onclick="spinPowerr();">SpinPower<div id="spinPowerPrice">500</div><div id="spinPowerNb">1</div></button>
    	</div>
    	<div id="lvl6" style="position: absolute; margin-left: 240px; margin-top: 240px; width: 220px; height: 220px; background-color: #b43f7a; transform: rotate(0deg);"></div>
    	<div id="lvl5" style="position: absolute; margin-left: 250px; margin-top: 250px; width: 200px; height: 200px; background-color: #7e3fb4; transform: rotate(0deg);"></div>
    	<div id="lvl4" style="position: absolute; margin-left: 260px; margin-top: 260px; width: 180px; height: 180px; background-color: #3f7cb4; transform: rotate(0deg);"></div>
    	<div id="lvl3" style="position: absolute; margin-left: 270px; margin-top: 270px; width: 160px; height: 160px; background-color: #3fb48e; transform: rotate(0deg);"></div>
    	<div id="lvl2" style="position: absolute; margin-left: 280px; margin-top: 280px; width: 140px; height: 140px; background-color: #78b43f; transform: rotate(0deg);"></div>
    	<div id="lvl1" style="position: absolute; margin-left: 290px; margin-top: 290px; width: 120px; height: 120px; background-color: #b4973f; transform: rotate(0deg);"></div>
    	<div id="lvl0" style="position: absolute; margin-left: 300px; margin-top: 300px; width: 100px; height: 100px; background-color: #b43f3f; transform: rotate(0deg);"></div>
    </body>
</html>
<script type="text/javascript">
	var	nb = 0;
	var oldnb = 0;
	var totalSpins = nb;

	var autospin = 0;
	var autospinPrice = 90;

	var megaspin = 0;
	var megaspinPrice = 1000;

	var ultraspin = 0;
	var ultraspinPrice = 10000;

	var spinPower = 1;
	var spinPowerPrice = 500;

	var frames = 0;
	function spin() {
		nb += spinPower;
		totalSpins += spinPower;
	}
	function spinPowerr() {
		if (nb >= spinPowerPrice)
		{
			nb -= spinPowerPrice;
			spinPower++;
			spinPowerPrice *= 2;
			document.getElementById('spinPowerPrice').innerHTML = parseInt(spinPowerPrice);
			document.getElementById('spinPowerNb').innerHTML = spinPower;
		}
	}
	function autoSpin() {
		if (nb >= autospinPrice)
		{
			nb -= autospinPrice;
			autospin++;
			autospinPrice *= 1.1;
			document.getElementById('autospinNb').innerHTML = autospin;
			document.getElementById('autospinPrice').innerHTML = parseInt(autospinPrice);
		}
	}
	function megaSpin() {
		if (nb >= megaspinPrice)
		{
			nb -= megaspinPrice;
			megaspin++;
			megaspinPrice *= 1.1;
			document.getElementById('megaspinNb').innerHTML = megaspin;
			document.getElementById('megaspinPrice').innerHTML = parseInt(megaspinPrice);
		}
	}
	function ultraSpin() {
		if (nb >= ultraspinPrice)
		{
			nb -= ultraspinPrice;
			ultraspin++;
			ultraspinPrice *= 1.1;
			document.getElementById('ultraspinNb').innerHTML = ultraspin;
			document.getElementById('ultraspinPrice').innerHTML = parseInt(ultraspinPrice);
		}
	}
	document.getElementById('nb').innerHTML = nb;
	setInterval(function() {
		nb += (autospin / 20) + megaspin + (ultraspin * 10);
		totalSpins += (autospin / 20) + megaspin + (ultraspin * 10);
		if (frames % 20 == 0)
		{
			document.getElementById('spinsPerSecond').innerHTML = parseInt(nb - oldnb);
			oldnb = nb;
		}
		frames++;
		document.getElementById('nb').innerHTML = parseInt(nb);
		document.getElementById('totalSpins').innerHTML = parseInt(totalSpins);
		document.getElementById('lvl0').style.transform = 'rotate(' + parseInt(nb) + 'deg)';
		document.getElementById('lvl1').style.transform = 'rotate(' + parseInt(nb / 90) + 'deg)';
		document.getElementById('lvl2').style.transform = 'rotate(' + parseInt(parseInt(document.getElementById('lvl1').style.transform.split('(')[1]) / 90) + 'deg)';
		document.getElementById('lvl3').style.transform = 'rotate(' + parseInt(parseInt(document.getElementById('lvl2').style.transform.split('(')[1]) / 90) + 'deg)';
		document.getElementById('lvl4').style.transform = 'rotate(' + parseInt(parseInt(document.getElementById('lvl3').style.transform.split('(')[1]) / 90) + 'deg)';
		document.getElementById('lvl5').style.transform = 'rotate(' + parseInt(parseInt(document.getElementById('lvl4').style.transform.split('(')[1]) / 90) + 'deg)';
		document.getElementById('lvl6').style.transform = 'rotate(' + parseInt(parseInt(document.getElementById('lvl5').style.transform.split('(')[1]) / 90) + 'deg)';
		if (parseInt(document.getElementById('lvl1').style.transform.split('(')[1]) > 0)
		{
			document.getElementById('menu').style.visibility = 'visible';
			document.getElementById('autospin').style.visibility = 'visible';
		}
		if (parseInt(document.getElementById('lvl2').style.transform.split('(')[1]) > 0)
		{
			document.getElementById('ultraspin').style.visibility = 'visible';
		}
		if (parseInt(totalSpins) >= 500)
		{
			document.getElementById('spinPower').style.visibility = 'visible';
		}
		if (parseInt(totalSpins) >= 5000)
		{
			document.getElementById('megaspin').style.visibility = 'visible';
		}
		if (parseInt(nb) < autospinPrice)
			document.getElementById('autospin').style.color = 'grey';
		else
			document.getElementById('autospin').style.color = 'black';
		if (parseInt(nb) < megaspinPrice)
			document.getElementById('megaspin').style.color = 'grey';
		else
			document.getElementById('megaspin').style.color = 'black';
		if (parseInt(nb) < ultraspinPrice)
			document.getElementById('ultraspin').style.color = 'grey';
		else
			document.getElementById('ultraspin').style.color = 'black';
		if (parseInt(nb) < spinPowerPrice)
			document.getElementById('spinPower').style.color = 'grey';
		else
			document.getElementById('spinPower').style.color = 'black';
	}, 50);

</script>